import { _decorator, Component, Node, ScrollView } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Test')
export class Test extends Component {
    private m_scrollView: ScrollView;

    protected onLoad(): void {
        this.m_scrollView = this.getComponent(ScrollView);
        this.m_scrollView.node.on("scrolling", this._onScrolling, this);
    }

    private _onScrolling() {
        const offset = this.m_scrollView.getScrollOffset();
        console.log('----offset:', offset);
    }
}


